## aggiornamenti su openwrt e libremesh

<!-- .slide: data-transition="zoom" -->

---

## Da dove partiamo

questa la versione che stiamo utilizzando ancora ad oggi

- openwrt-19.07.10
- libremesh-v2020.1


--

questa la stable di openwrt 
22.03

questa la oldstable
21.05


---

## Che ci manca

- gli aggiornamenti alla lime-app
- la funzionalità dei lime-macaddress (grazie itec)

--

## Librerouter

come avanzare se libremesh non rilascia più versioni taggate del codice?

librerouter usa le tag per il codice e la sua v1.5 è syncato alla branch "librerouteros" nel repo https://github.com/libremesh/lime-packages

---

## cambiamenti in openwrt 

dalla v21 alla v22 succedono un po' di cose

- drop dei device 4/32
- ar71xx -> ath79
- swconfig -> DSA

--

### ar71xx -> ath79

Starting with OpenWrt 19.07, there is a new device-tree-based target called ath79 that deprecates the ar71xx target. For 19.07, both targets are still built, but future releases of OpenWrt will drop support for the ar71xx target. 


Approximately 50% of ar71xx devices have been ported to ath79 in 19.07

--

### swconfig -> dsa
DSA stands for Distributed Switch Architecture and is the Linux kernel subsystem for network switches. Because upstream kernel development now uses DSA, the OpenWrt Project is implementing DSA to replace the earlier swconfig framework. Many new routers also use DSA drivers instead of swconfig drivers. 

https://openwrt.org/docs/guide-user/network/dsa/dsa-mini-tutorial

--

### dsa

The original philosophy behind this design was to be able to use unmodified Linux tools such as bridge, iproute2, ifconfig to work transparently whether they configured/queried a switch port network device or a regular network device.

https://www.kernel.org/doc/html/latest/networking/dsa/dsa.html

--

sul sito del battlemesh si trovano diverse risorse a proposito

https://www.battlemesh.org/BattleMeshV14

c'è lo stream di tutte le giornate su youtube

---

## (Pausa) DEAF

nel frattempo al battlemesh 
scopriamo dei "deaf" delle antenne (grazie ilario)

Ath9k radio, MCS stuck workaround
https://github.com/libremesh/lime-packages/issues/144

--

pare esserci un commit incriminato [0]

ath9k is instable since http://git.openwrt.org/?p=12.09/openwrt.git;a=commit;h=d29f21c84e2d8af8a5c18ceae80426c026ddac07


[0] 
ath9k wifi stops working occasionally
https://github.com/freifunk-gluon/gluon/issues/130

---



### libremesh su openwrt22

--

ar71xx -> ath79

es. il supporto al dispositivo litebeam m5 non è stato importato 

--

dsa

richiede un'inizializzazione delle nuove configurazioni


---

## Da docker-compose a ansible

- belvederi
- server (grafana, mappe, ...)
- vps

---

## Openwrt Build System via ansible

https://git.lattuga.net/antennine/infra_public

---

## Build basate su lime-macaddress

ci permette di impostare wireguard sui dispositivi e fare a meno dei raspberry (prometheus) localmente distribuiti

---

## What's next

test di versioni con fastd
ed allargamento a possibile VCN

---

## More from Battlemesh

- Turris
- Gluon


https://github.com/freifunk-gluon/gluon

